{
  "name": "flow_pool_level_video",
  "project": "videoods",
  "comment": "流量池分级下的视频",
  "columns": [
    {
      "name": "id",
      "type": "BIGINT",
      "comment": "ID"
    },
    {
      "name": "flow_pool_id",
      "type": "BIGINT",
      "comment": "流量池ID：冗余字段"
    },
    {
      "name": "flow_pool_level_id",
      "type": "BIGINT",
      "comment": "流量池分级ID"
    },
    {
      "name": "life_cycle_id",
      "type": "BIGINT",
      "comment": "生命周期ID：视频从进入1层到最后退出的统一ID"
    },
    {
      "name": "video_id",
      "type": "BIGINT",
      "comment": "视频ID"
    },
    {
      "name": "uid",
      "type": "BIGINT",
      "comment": "视频生产者uid"
    },
    {
      "name": "start_type",
      "type": "BIGINT",
      "comment": "开始类型：0自动 1手动"
    },
    {
      "name": "end_type",
      "type": "BIGINT",
      "comment": "结束类型：0未结束 1到期结束 2正常结束 3手动结束"
    },
    {
      "name": "start_time",
      "type": "BIGINT",
      "comment": "开始时间：毫秒"
    },
    {
      "name": "end_time",
      "type": "BIGINT",
      "comment": "结束时间：毫秒"
    },
    {
      "name": "expire_time",
      "type": "BIGINT",
      "comment": "有效时间：毫秒"
    },
    {
      "name": "distribute_count",
      "type": "BIGINT",
      "comment": "分发数"
    },
    {
      "name": "view_count",
      "type": "BIGINT",
      "comment": "曝光数：从进入该层开始计算"
    },
    {
      "name": "end_view_count",
      "type": "BIGINT",
      "comment": "结束后统计到的曝光数"
    },
    {
      "name": "play_count",
      "type": "BIGINT",
      "comment": "播放数：从进入该层开始计算"
    },
    {
      "name": "end_play_count",
      "type": "BIGINT",
      "comment": "结束后统计到的播放数"
    },
    {
      "name": "real_play_count",
      "type": "BIGINT",
      "comment": "有效播放数：从进入该层开始计算"
    },
    {
      "name": "end_real_play_count",
      "type": "BIGINT",
      "comment": "结束后统计到的有效曝光数"
    },
    {
      "name": "back_flow",
      "type": "BIGINT",
      "comment": "回流数：从进入该层开始计算"
    },
    {
      "name": "end_back_flow",
      "type": "BIGINT",
      "comment": "结束后统计到的回流数"
    },
    {
      "name": "data_status",
      "type": "BIGINT",
      "comment": "是否有效：0无效 1有效，默认有效"
    },
    {
      "name": "create_time",
      "type": "DATETIME",
      "comment": "创建时间"
    },
    {
      "name": "update_time",
      "type": "DATETIME",
      "comment": "更新时间"
    },
    {
      "name": "view_algo_count",
      "type": "BIGINT",
      "comment": "召回池同时流量池曝光"
    },
    {
      "name": "share_friend_count",
      "type": "BIGINT",
      "comment": ""
    },
    {
      "name": "attribute",
      "type": "STRING",
      "comment": ""
    }
  ],
  "partition_keys": [],
  "dataworks_tasks": [
    {
      "id": 1006748760,
      "name": "flow_pool_level_video"
    }
  ],
  "upstream_tables": []
}